# ListActionExclusions Method

## Description

Retrieves the list of action exclusions.

## HTTP Request

`GET https://api.skeddly.com/api/ActionExclusions`

## Query Parameters

The following query parameters are accepted.

### filter.projectIds

A comma-separated list of project IDs to include.

Type: `string`

Required: Recommended for future compatability

### filter.resourceType

The resource type to limit the results.

Type: `string`

Value Values:

* `amazon-ec2-instance`
* `amazon-rds-instance`

Required: No

### filter.status

A comma-separated list of statuses.

Type: `string`

Value Values:

* `active-disabled`
* `deleted`
* `expired`

Required: No

## Returns

Array of [ActionExclusion](/data-types/actionexclusion-object.md) objects.

## Sample Request

{% tabs %}
{% tab title="HTTP" %}

```http
GET /api/ActionExclusions HTTP/1.1
Host: api.skeddly.com
Authorization: AccessKey <api key>
```

{% endtab %}

{% tab title="Bash" %}

```bash
curl "https://api.skeddly.com/api/ActionExclusions"
  -H "Authorization: AccessKey <api key>"
```

{% endtab %}
{% endtabs %}

## Sample Response

```javascript
[
    {
        "actionExclusionId": "excl-00000001",
        "projectId": "proj-00000001",
    
        "name": "My Exclusion",
        "status": "active",
        "isEnabled": true,
    
        "createdDate": "2020-05-12T11:36:00Z",
        "lastModifiedDate": "2020-05-12T11:36:00Z",
        "lastModifiedBy": "u-00000001",
        
        "startDate": "2020-05-15T00:00:00Z",
        "expiryDate": "2020-05-19T00:00:00Z",
        "timeZoneId": "Eastern Standard Time",
        
        "processes": [
            "start-resource",
            "stop-resource"
        ],
        
        "resourceType": "amazon-ec2-instance",
        
        "resourceIdentificationMethod": "by-resource-id",
        "resourceIds": [
            "i-12345678"
        ]
    }
]
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.skeddly.com/resources/action-exclusions/listactionexclusions-method.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
